libusermetrics (1.3.3) unstable; urgency=medium

  * Upstream-provided Debian package for libusermetrics. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 18 Aug 2024 18:35:47 +0200

libusermetrics (1.3.2) unstable; urgency=medium

  * Upstream-provided Debian package for libusermetrics. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sat, 27 Jan 2024 07:25:08 +0100

libusermetrics (1.3.1) unstable; urgency=medium

  * Upstream-provided Debian package for libusermetrics. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 09:10:58 +0200

libusermetrics (1.3.0) unstable; urgency=medium

  * Upstream-provided Debian package for libusermetrics. See upstream
    ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 05 Feb 2023 01:24:34 +0100

libusermetrics (1.2.0) focal; urgency=medium

  * Release version 1.2.0.

 -- Rodney Dawes <dobey@ubports.com>  Fri, 19 Mar 2021 17:25:50 -0400

libusermetrics (1.1.2+ubports) bionic; urgency=medium

  * Build for bionic

 -- Marius Gripsgard <marius@ubports.com>  Wed, 14 Feb 2018 04:17:16 +0100

libusermetrics (1.1.2+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Mon, 08 Jan 2018 10:54:54 +0000

libusermetrics (1.1.1+17.04.20161208.1-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules

 -- Pete Woods <pete.woods@canonical.com>  Thu, 08 Dec 2016 10:51:18 +0000

libusermetrics (1.1.1+16.10.20160909-0ubuntu1) yakkety; urgency=medium

  * Remove debconf from pre and post -inst scripts (LP: #1612259)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 09 Sep 2016 12:52:40 +0000

libusermetrics (1.1.1+16.10.20160808.3-0ubuntu1) yakkety; urgency=medium

  * Fix build failure on 16.04 / 16.10 (LP: #1608809)

 -- Pete Woods <pete.woods@canonical.com>  Mon, 08 Aug 2016 13:53:01 +0000

libusermetrics (1.1.1+15.10.20150915-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Matthew Paul Thomas ]
  * Fixes bug 1286276 (Lock screen whines that "No data sources
    available" on first use), simply by changing that string to "".
    First use is just the most obvious situation where this happens.
    There is never a situation where it would be appropriate to say "No
    data sources available" to someone who has bought your phone. (LP:
    #1286276)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2015 07:31:50 +0000

libusermetrics (1.1.1+15.10.20150723.1-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Add missing QObject include (LP: #1447173)
  * Disable valgrind during debian builds (LP: #1475600)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 23 Jul 2015 08:58:05 +0000

libusermetrics (1.1.1+15.04.20150427-0ubuntu1) vivid; urgency=medium

  [ Pete Woods ]
  * Stop using shared DBus connections (LP: #1421009)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 27 Apr 2015 15:38:43 +0000

libusermetrics (1.1.1+15.04.20150219-0ubuntu1) vivid; urgency=medium

  [ Pete Woods ]
  * Read translations from click packages (LP: #1327419)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Feb 2015 09:31:29 +0000

libusermetrics (1.1.1+14.10.20141020-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libusermetricsoutput1.symbols: auto-update to released
    version
  * debian/libusermetricsinput1.symbols: auto-update to released version

  [ Pete Woods ]
  * Run gettext on a background thread, communicating asynchronously
    (LP: #1374397)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 20 Oct 2014 15:19:31 +0000

libusermetrics (1.1.1+14.10.20140917-0ubuntu1) utopic; urgency=low

  [ Pete Woods ]
  * Don't wait for external gettext processes to close

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Sep 2014 08:15:45 +0000

libusermetrics (1.1.1+14.10.20140916-0ubuntu1) utopic; urgency=low

  [ Pete Woods ]
  * Extract all translations again

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Sep 2014 08:52:18 +0000

libusermetrics (1.1.1+14.10.20140908-0ubuntu1) utopic; urgency=low

  [ Pete Woods ]
  * Enable language translation pack support (LP: #1357007)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 09:17:52 +0000

libusermetrics (1.1.1+14.10.20140905.3-0ubuntu1) utopic; urgency=low

  [ Pete Woods ]
  * Move over to the standard translation macros. New build dependency
    on cmake-extras. (LP: #1357007)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Sep 2014 13:36:43 +0000

libusermetrics (1.1.1+14.04.20140305-0ubuntu4) utopic; urgency=medium

  * Disable valgrind on powerpc

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 06 May 2014 17:16:21 -0300

libusermetrics (1.1.1+14.04.20140305-0ubuntu3) trusty; urgency=medium

  * debian/control: fixing wrong Vcs entries

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Apr 2014 11:50:38 -0300

libusermetrics (1.1.1+14.04.20140305-0ubuntu2) trusty; urgency=medium

  * Disable valgrind on arm64, ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 22 Mar 2014 01:56:48 +0000

libusermetrics (1.1.1+14.04.20140305-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Disable Valgrind on ARM (LP: #1287135)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 09:26:29 +0000

libusermetrics (1.1.1+14.04.20140120-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Avoid crash during AP tests at startup on Maguro.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 146

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 20 Jan 2014 18:09:31 +0000

libusermetrics (1.1.1+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Data sources are now keyed by their dbus path in
    libusermetricsoutput This allows them to share the same IDs. (LP:
    #1243104)
  * Append the libusermetrics/themes path to each XDG entry

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 144

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:56:50 +0000

libusermetrics (1.1.1+13.10.20131003-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Support minimum and maximum properties in the QML API.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 141

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Oct 2013 02:44:48 +0000

libusermetrics (1.1.1+13.10.20131002-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Prevent apps and users from modifying data they shouldn't be able to
    modify.
  * Handle exceptions in the QML API.
  * Support reading colors from gconf.
  * Ignore leak in QXmlPatterns on i386 (must be fixed at source)
  * Add wildcards to suppress reported leak in Qt. (LP: #1233003)
  * Repond to security team's review.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 139

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Oct 2013 02:10:48 +0000

libusermetrics (1.1.1+13.10.20130924-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add QML bindings to be able to set user metrics from declarative
    code. For now only part of the input API is supported.

  [ Ugo Riboni ]
  * Add QML bindings to be able to set user metrics from declarative
    code. For now only part of the input API is supported.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 132

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Sep 2013 22:45:08 +0000

libusermetrics (1.1.1+13.10.20130913-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add support for max and min.
  * Add private API warning to main docs page

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 130

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 13 Sep 2013 15:17:10 +0000

libusermetrics (1.1.1+13.10.20130816-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Resolve postinst script failing when dbus is not running.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 127

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 Aug 2013 09:12:11 +0000

libusermetrics (1.1.1+13.10.20130815.2-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Switch to using libqtdbustest.
  * Improve the packaging.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 125

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 Aug 2013 22:07:25 +0000

libusermetrics (1.1.1+13.10.20130809-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * New release.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 122

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 02:02:51 +0000

libusermetrics (1.1.0+13.10.20130723-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Fix incorrect query for user data ownership
  * Additional command line interface for incrementing
  * Trim a few unnecessary joins off user data queries

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 120

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Jul 2013 02:02:57 +0000

libusermetrics (1.1.0-0ubuntu1) saucy; urgency=low

  * New release.

 -- Pete Woods <pete.woods@canonical.com>  Mon, 22 Jul 2013 14:22:58 +0100

libusermetrics (1.0.9+13.10.20130718-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Now will switch to user data for users that acquire data while
    visible

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 115

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Jul 2013 02:04:24 +0000

libusermetrics (1.0.9-0ubuntu1) saucy; urgency=low

  * Perform gettext translations in an external process.

 -- Pete Woods <pete.woods@canonical.com>  Wed, 17 Jul 2013 11:23:11 +0100

libusermetrics (1.0.8+13.10.20130717-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 112

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 02:03:37 +0000

libusermetrics (1.0.8-0ubuntu1) saucy; urgency=low

  * Update docs
  * Make current data set response to changes in source.

 -- Pete Woods <pete.woods@canonical.com>  Mon, 15 Jul 2013 22:16:14 +0100

libusermetrics (1.0.7+13.10.20130716-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Make the currently visible data set respond to data changes
  * Update docs

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 110

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Jul 2013 02:02:53 +0000

libusermetrics (1.0.7+13.10.20130712-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 107

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Jul 2013 02:03:14 +0000

libusermetrics (1.0.7-0ubuntu1) saucy; urgency=low

  * Add missing examples for docs

 -- Pete Woods <pete.woods@canonical.com>  Thu, 11 Jul 2013 18:14:52 +0100

libusermetrics (1.0.6+13.10.20130711-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Merge didrocks' google-mock fix

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 104

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Jul 2013 02:03:59 +0000

libusermetrics (1.0.6-0ubuntu1) saucy; urgency=low

  * Add new simple "update today" input method.

 -- Pete Woods <pete.woods@canonical.com>  Wed, 10 Jul 2013 16:22:58 +0100

libusermetrics (1.0.5+13.10.20130710-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * New symbol for increment method

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 101

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Jul 2013 06:44:10 +0000

libusermetrics (1.0.5-0ubuntu1) saucy; urgency=low

  * Fix no data on first load bug.

 -- Pete Woods <pete.woods@canonical.com>  Mon, 08 Jul 2013 16:30:48 +0100

libusermetrics (1.0.4+13.10.20130709-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add new simple "increment" API

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 98

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Jul 2013 02:03:17 +0000

libusermetrics (1.0.4+13.10.20130708-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add basic translation support No actual translations as yet, though
  * Fix missing includes
  * Increase test coverage

  [ Didier Roche ]
  * simplify slightly the packaging.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 96

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Jul 2013 02:02:32 +0000

libusermetrics (1.0.4-0ubuntu1) saucy; urgency=low

  * Support external translations.

 -- Pete Woods <pete.woods@canonical.com>  Fri, 05 Jul 2013 16:31:40 +0100

libusermetrics (1.0.3+13.10.20130704-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 90

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Jul 2013 02:02:24 +0000

libusermetrics (1.0.3-0ubuntu1) saucy; urgency=low

  * Fix the packaging - force dbus to reload its configuration.

 -- Pete Woods <pete.woods@canonical.com>  Wed, 03 Jul 2013 14:42:57 +0100

libusermetrics (1.0.2+13.10.20130703.1-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add support for providing and storing text domain for format strings
  * Support string for empty data
  * Update doxyfile format
  * Make prerm script more heavy handed
  * Only try and register the service inside main
  * Log daemon output to syslog

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 88

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Jul 2013 14:16:44 +0000

libusermetrics (1.0.2) saucy; urgency=low

  * It should be in a functional state now.

 -- Pete Woods <pete.woods@canonical.com>  Tue, 02 Jul 2013 16:25:17 +0100

libusermetrics (1.0.1+13.10.20130702-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Implement most of storage service and wire up input API.
  * Wire up the output API to the storage service.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 80

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Jul 2013 02:02:52 +0000

libusermetrics (1.0.1+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Pete Woods ]
  * Add skeleton of libusermetricsinput
  * Fix copyright headers
  * Fix installation of libusermetricsinput
  * First version of C API
  * Re-order
  * Add symbols file for libusermetricsinput
  * Make symbol that appears and dissapears depending on GCC version
    optional.
  * Update *.symbols files to use "nice" c++ format.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 77

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 02:03:09 +0000

libusermetrics (1.0.1daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Cleanup packaging for daily-release best practices
  * Automatic snapshot from revision 53 (bootstrap)

  [ Pete Woods ]
  * Another test to check for multiple users with multiple data sources
  * Remove debug logging
  * Unit tests for color theme impl.
  * Add tests for qvariantlistmodel.
  * Add debian symbols file to aid ABI preservation.
  * Rename utils -> testutils
  * Provide color themes using provider class instead of drawing them
    straight from data sets
  * Use a mock in the UserMetricsImpl test for the ColorThemeProvider
  * Proper test for usage of color theme
  * Add libusermetricsinput
  * Sort libusermetricsinput out for installation
  * Fix debian install paths

  [ Michael Terry ]
  * Fix include path for clients of the library.
  * Add missing license files.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 68

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 02:02:14 +0000

libusermetrics (1.0.0) raring; urgency=low

  * Initial Release.

 -- Pete Woods <pete.woods@canonical.com>  Fri, 07 Jun 2013 16:09:17 +0100
